Skip to main content
POST
/
networks
/
affiliates
curl --request POST \
  --url https://api.eflow.team/v1/networks/affiliates \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "DocTest Affiliate",
  "account_status": "active",
  "network_employee_id": 2,
  "default_currency_id": "USD",
  "billing": {
    "billing_frequency": "monthly",
    "payment_type": "none",
    "details": {
      "day_of_month": 1
    },
    "billing": {}
  }
}
'
{
  "network_affiliate_id": 36,
  "network_id": 1,
  "name": "DocTest Affiliate",
  "account_status": "active",
  "network_employee_id": 2,
  "internal_notes": "",
  "has_notifications": true,
  "network_traffic_source_id": 0,
  "account_executive_id": 0,
  "adress_id": 0,
  "default_currency_id": "USD",
  "is_contact_address_enabled": false,
  "enable_media_cost_tracking_links": false,
  "time_created": 1774701138,
  "time_saved": 1774701138,
  "relationship": {
    "labels": {
      "total": 0,
      "entries": []
    },
    "users": {
      "total": 0,
      "entries": []
    },
    "account_manager": {
      "first_name": "John",
      "last_name": "Doe",
      "email": "john.doe@example.com",
      "work_phone": "9781243585",
      "cell_phone": "",
      "instant_messaging_id": 0,
      "instant_messaging_identifier": ""
    },
    "encoded_value": "2LQC3F",
    "network_affiliate_tier_id": 1,
    "ios_app_sources": {
      "total": 0,
      "entries": []
    }
  },
  "referrer_id": 0
}
Create a new affiliate account. You can also include users, contact address, and labels in the same request. When is_contact_address_enabled is true, provide the contact_address object. When adding an affiliate, you can also add a user — that part uses the same fields as the Create Affiliate User endpoint.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

notification
boolean
default:true

Whether to send a welcome notification email to the affiliate. Defaults to true when omitted.

Body

application/json
name
string
required

The name of the affiliate.

account_status
enum<string>
required

The affiliate's account status.

Available options:
active,
inactive
network_employee_id
integer
required

The employee ID of the affiliate's account manager.

default_currency_id
string
required

The affiliate's default currency. Can be found using the metadata API.

billing
object
required

The affiliate's billing information.

internal_notes
string

Internal notes for network usage.

Whether or not you want to allow the affiliate to pass and override cost in their tracking links. Defaults to false.

referrer_id
integer

The ID of the affiliate that referred the new affiliate. Defaults to 0 (none).

is_contact_address_enabled
boolean

Whether or not you want to include a contact address for this affiliate. Defaults to false.

network_affiliate_tier_id
integer

The ID of the Affiliate Tier.

contact_address
object

The affiliate's contact address information. Only required if is_contact_address_enabled is set to true.

labels
string[]

Used to associate labels to the affiliate.

A label string.

users
object[]

One or more user accounts to create for this affiliate. Uses the same fields as the Create Affiliate User endpoint.

Response

200 - application/json

Affiliate created successfully.

An affiliate (partner) account in the network.

network_affiliate_id
integer

Unique affiliate ID.

network_id
integer

Network ID.

name
string

Affiliate name.

account_status
enum<string>

Current account status.

Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

internal_notes
string

Internal notes about this affiliate (not visible to the affiliate).

default_currency_id
string

Default currency code (e.g. USD).

Whether media cost tracking links are enabled for this affiliate.

is_contact_address_enabled
boolean

Whether the contact address is enabled.

has_notifications
boolean

Whether notifications are enabled.

network_traffic_source_id
integer

Associated traffic source ID.

account_executive_id
integer

Account executive employee ID.

adress_id
integer

Address record ID. Note the field name uses a single 'd' (adress_id) in the API response.

address_id
integer

Address record ID (alias).

referrer_id
integer

ID of the referring affiliate, if any.

time_created
integer

Unix timestamp when the affiliate was created.

Example:

1734455015

time_saved
integer

Unix timestamp when the affiliate was last updated.

Example:

1734455015

relationship
object

Related data (only present when requested via query parameter).